COMPATIBILITY:

FSX, FSX Steam, P3D v.3.x

Hello dear EZCA user.
After the release of P3D v4.4, we need some time to adapt the EZCA v2 to the new version of the simulator. Actually EZ is now adapted and is undergoing an internal beta test. We do not want to hurry and must check the work of EZ. Please be patient.
Tomorrow the new version will be available on our Flight1 forum as BETA. In about 5 days, we will publish a new version of EZCA as Release.